// *************************************************************************
//    BuiltinCompareRelation.h
// *************************************************************************

#ifndef _BuiltinCompareRelation_H_
#define _BuiltinCompareRelation_H_

#include "BuiltinRelation.h"
#include "Debug.h"

// *************************************************************************

typedef int (*CompareProc)(Cor_Term& arg0, Cor_Term& arg1);

// *************************************************************************

class Cor_BuiltinCompareRelation : public Cor_BuiltinRelation {

  public:
    CompareProc op;

    Cor_BuiltinCompareRelation(int a, Cor_CArg *n, CompareProc bin_op);

    virtual Cor_BindEnv *get_next(Cor_TupleIterator&);
    int is_printable_builtin() {return 0;}
};

// *************************************************************************

#endif _BuiltinCompareRelation_H_

