// *************************************************************************
//    TupleNode.h
// *************************************************************************

#ifndef _TupleNode_H_
#define _TupleNode_H_

class Cor_Tuple;

// *************************************************************************
//  A TupleNode points to a Tuple, and (currently) another TupleNode
//  Useful mainly for linked lists of tuples.

class Cor_TupleNode {

  private:
    Cor_Tuple      *_tuple;
    Cor_TupleNode  *_next;

  public:

    Cor_TupleNode(Cor_Tuple *tuple=NULL, Cor_TupleNode *next=NULL) {
        _tuple = tuple;
        _next  = next;
    }

   ~Cor_TupleNode() {}

    Cor_Tuple *tuple() { return(_tuple); }

    Cor_TupleNode  *next() { return(_next); }
    Cor_TupleNode  *set_next(Cor_TupleNode *next) { return(_next=next); }
};

// *************************************************************************

#endif // _TupleNode_H_
