#include <iostream.h>
#include <stdiostream.h>

#include "ArgList.h"
#include "Debug.h"

class Cor_BoundArgList {
  public:

    Cor_BoundArgList(Cor_ArgList& _argList, Cor_BindEnv* _pBindEnv);

    inline friend ostream& operator<<
            (ostream& os, const Cor_BoundArgList& bal);

  private:

    Cor_ArgList& argList;

    Cor_BindEnv *pBindEnv;

};


inline Cor_BoundArgList::Cor_BoundArgList(Cor_ArgList& _argList,
        Cor_BindEnv* _pBindEnv) : argList(_argList),
  pBindEnv(pBindEnv)
{
}


inline ostream& operator<< (ostream& os, const Cor_BoundArgList& bal)
{
    bal.argList.print(bal.pBindEnv, &os);
    return(os);
}
