
#include <iostream.h>

#include "Interface.h"

#include "util.h"
#include "insert.h"

char *rel_menu[] = {
    "data2(_,_).\n",
    "data3(_,_,_).\n",
    NULL
};

#define    REL_DATA2    (0)
#define    REL_DATA3    (1)

// ++++++++++++++++++++++++++++++++++++++++++++++++++
void InsertData2(int x, int y)
{
    cout << "insert of data2(" << x << "," << y << ").\n";
    \[
        data2(($int) $x, ($int) $y).
    \]
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++
void DeleteData2(int x, int y)
{
    cout << "delete of data2(" << x << "," << y << ").\n";
    \[
        delete( data2(($int) $x, ($int) $y) ).
    \]
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++
void InsertData3(int x, int y, int z)
{
    cout << "insert of data3(" << x << "," << y << "," << z << ").\n";
    \[
        data3(($int) $x, ($int) $y, ($int) $z).
    \]
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++
void DeleteData3(int x, int y, int z)
{
    cout << "delete of data3(" << x << "," << y << "," << z << ").\n";
    \[
        delete( data3(($int) $x, ($int) $y, ($int) $z) ).
    \]
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++
void InsMenu()
{
    int select;
    int x, y, z;
    char buff[201], *ptr;

    cout << "\nRelation to insert into:\n";
    show_menu(rel_menu);
    select = get_choice(); 
    cout << endl;

    cout << "Enter numbers to insert (space seperated): " << flush;
    cin_gets(buff,200);

    ptr = get_num(buff, x); 
    ptr = get_num(ptr, y); 

    if ((select >= 0) && (select < 2)) {

        switch (select) {

        case REL_DATA2:
            InsertData2(x,y);
            break;

        case REL_DATA3:
            ptr = get_num(ptr, z); 
            InsertData3(x,y,z);
            break;
        }
    }

}

// ++++++++++++++++++++++++++++++++++++++++++++++++++
void DelMenu()
{
    int select;
    int x, y, z;
    char buff[201], *ptr;

    cout << "\nRelation to delete from:\n";
    show_menu(rel_menu);
    select = get_choice(); 
    cout << endl;

    cout << "Enter numbers to delete (space seperated): " << flush;
    cin_gets(buff,200);

    ptr = get_num(buff, x); 
    ptr = get_num(ptr, y); 

    if ((select >= 0) && (select < 2)) {

        switch (select) {

        case REL_DATA2:
            DeleteData2(x,y);
            break;

        case REL_DATA3:
            ptr = get_num(ptr, z); 
            DeleteData3(x,y,z);
            break;
        }
    }

}

// ++++++++++++++++++++++++++++++++++++++++++++++++++
