/*****************************************************************************/
//    ModuleEnv.h
/*****************************************************************************/

#ifndef _ModuleEnv_H_
#define _ModuleEnv_H_

#include "SccEnv.h"
//#include "QFMaterializedModuleData.h"

/*****************************************************************************/

class Cor_QFMaterializedModuleData;

/*****************************************************************************/
// Contains all structures allocated at module invocation time.

struct Cor_ModuleEnv {

  public:
    Cor_SccEnv **scc_envs;    // array of size numSccs of scc
                              // environments
    int numSccs;
    Cor_QFMaterializedModuleData *parent_md;

    Cor_ModuleEnv(Cor_QFMaterializedModuleData *parent);
   ~Cor_ModuleEnv();

    void clear_tupits();
};

/*****************************************************************************/

#endif _ModuleEnv_H_

