// *************************************************************************
//    PersistSolvers.h
// *************************************************************************

#ifndef _PersistSolvers_H_
#define _PersistSolvers_H_

// *************************************************************************

class Cor_BuiltinRelation;
class Cor_TupleIterator;
class Cor_BindEnv;
class Cor_Tuple;

// *************************************************************************

Cor_BindEnv *Cor_SchemaSolver(Cor_BuiltinRelation& rel,
                    Cor_TupleIterator& iterator);
Cor_BindEnv *Cor_DelSchemaSolver(Cor_BuiltinRelation& rel,
                    Cor_TupleIterator& iterator);
Cor_BindEnv *Cor_BulkLoadSolver(Cor_BuiltinRelation& rel,
                    Cor_TupleIterator& iterator);
Cor_BindEnv *Cor_StartBulkLoadSolver(Cor_BuiltinRelation& rel,
                    Cor_TupleIterator& iterator);
Cor_BindEnv *Cor_EndBulkLoadSolver(Cor_BuiltinRelation& rel,
                    Cor_TupleIterator& iterator);
Cor_BindEnv *Cor_TransBeginSolver(Cor_BuiltinRelation& rel,
                    Cor_TupleIterator& iterator);
Cor_BindEnv *Cor_TransAbortSolver(Cor_BuiltinRelation& rel,
                    Cor_TupleIterator& iterator);
Cor_BindEnv *Cor_TransCommitSolver(Cor_BuiltinRelation& rel,
                    Cor_TupleIterator& iterator);

// *************************************************************************

#endif _PersistSolvers_H_
